JaxbColumnElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbColumnElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbColumnElement

    public class JaxbColumnElement

extends Object

Java class for column-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="column-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attribute name="check" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="default" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="index" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-null" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="precision" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="read" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="scale" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="sql-type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unique" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="unique-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="write" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `_default`
`protected String` | `check`
`protected String` | `comment`
`protected String` | `index`
`protected String` | `length`
`protected String` | `name`
`protected Boolean` | `notNull`
`protected String` | `precision`
`protected String` | `read`
`protected String` | `scale`
`protected String` | `sqlType`
`protected Boolean` | `unique`
`protected String` | `uniqueKey`
`protected String` | `write`

Constructor Summary
`JaxbColumnElement()`

Method Summary
`String` | `getCheck()` Gets the value of the check property.
`String` | `getComment()` Gets the value of the comment property.
`String` | `getDefault()` Gets the value of the default property.
`String` | `getIndex()` Gets the value of the index property.
`String` | `getLength()` Gets the value of the length property.
`String` | `getName()` Gets the value of the name property.
`String` | `getPrecision()` Gets the value of the precision property.
`String` | `getRead()` Gets the value of the read property.
`String` | `getScale()` Gets the value of the scale property.
`String` | `getSqlType()` Gets the value of the sqlType property.
`String` | `getUniqueKey()` Gets the value of the uniqueKey property.
`String` | `getWrite()` Gets the value of the write property.
`Boolean` | `isNotNull()` Gets the value of the notNull property.
`Boolean` | `isUnique()` Gets the value of the unique property.
`void` | `setCheck(String value)` Sets the value of the check property.
`void` | `setComment(String value)` Sets the value of the comment property.
`void` | `setDefault(String value)` Sets the value of the default property.
`void` | `setIndex(String value)` Sets the value of the index property.
`void` | `setLength(String value)` Sets the value of the length property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNotNull(Boolean value)` Sets the value of the notNull property.
`void` | `setPrecision(String value)` Sets the value of the precision property.
`void` | `setRead(String value)` Sets the value of the read property.
`void` | `setScale(String value)` Sets the value of the scale property.
`void` | `setSqlType(String value)` Sets the value of the sqlType property.
`void` | `setUnique(Boolean value)` Sets the value of the unique property.
`void` | `setUniqueKey(String value)` Sets the value of the uniqueKey property.
`void` | `setWrite(String value)` Sets the value of the write property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comment

    protected String comment

### check

    protected String check

### _default

    protected String _default

### index

    protected String index

### length

    protected String length

### name

    protected String name

### notNull

    protected Boolean notNull

### precision

    protected String precision

### read

    protected String read

### scale

    protected String scale

### sqlType

    protected String sqlType

### unique

    protected Boolean unique

### uniqueKey

    protected String uniqueKey

### write

    protected String write

Constructor Detail

### JaxbColumnElement

    public JaxbColumnElement()

Method Detail

### getComment

    public String getComment()

  Gets the value of the comment property.

  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

### getCheck

    public String getCheck()

  Gets the value of the check property.

  Returns:
    possible object is `String`

### setCheck

    public void setCheck(String value)

  Sets the value of the check property.

  Parameters:
    `value` - allowed object is `String`

### getDefault

    public String getDefault()

  Gets the value of the default property.

  Returns:
    possible object is `String`

### setDefault

    public void setDefault(String value)

  Sets the value of the default property.

  Parameters:
    `value` - allowed object is `String`

### getIndex

    public String getIndex()

  Gets the value of the index property.

  Returns:
    possible object is `String`

### setIndex

    public void setIndex(String value)

  Sets the value of the index property.

  Parameters:
    `value` - allowed object is `String`

### getLength

    public String getLength()

  Gets the value of the length property.

  Returns:
    possible object is `String`

### setLength

    public void setLength(String value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isNotNull

    public Boolean isNotNull()

  Gets the value of the notNull property.

  Returns:
    possible object is `Boolean`

### setNotNull

    public void setNotNull(Boolean value)

  Sets the value of the notNull property.

  Parameters:
    `value` - allowed object is `Boolean`

### getPrecision

    public String getPrecision()

  Gets the value of the precision property.

  Returns:
    possible object is `String`

### setPrecision

    public void setPrecision(String value)

  Sets the value of the precision property.

  Parameters:
    `value` - allowed object is `String`

### getRead

    public String getRead()

  Gets the value of the read property.

  Returns:
    possible object is `String`

### setRead

    public void setRead(String value)

  Sets the value of the read property.

  Parameters:
    `value` - allowed object is `String`

### getScale

    public String getScale()

  Gets the value of the scale property.

  Returns:
    possible object is `String`

### setScale

    public void setScale(String value)

  Sets the value of the scale property.

  Parameters:
    `value` - allowed object is `String`

### getSqlType

    public String getSqlType()

  Gets the value of the sqlType property.

  Returns:
    possible object is `String`

### setSqlType

    public void setSqlType(String value)

  Sets the value of the sqlType property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public Boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### getUniqueKey

    public String getUniqueKey()

  Gets the value of the uniqueKey property.

  Returns:
    possible object is `String`

### setUniqueKey

    public void setUniqueKey(String value)

  Sets the value of the uniqueKey property.

  Parameters:
    `value` - allowed object is `String`

### getWrite

    public String getWrite()

  Gets the value of the write property.

  Returns:
    possible object is `String`

### setWrite

    public void setWrite(String value)

  Sets the value of the write property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.